Data Protection Health System Vsan Set Dp Cluster Silent Checks

Data Protection Health System Vsan Set Dp Cluster Silent Checks
Set silent health check list of the cluster.

Set silent health check list of the cluster.

Specify [testId/groupId] for 'addSilentChecks' to add add health checks to silent list. Specify [testId/groupId] for 'removeSilentChecks' to remove health checks from silent list. To restore the whole silent list, set 'removeSilentChecks' = ['all']. After the silent health check list is updated, it is recommended to refresh the vSAN cluster data protection health summary to get the updated result. The health check items in the silent list should be skipped, and labeled with 'skipped' status. Note:

  • If groupId is added to silent list, all the checks under this group would be silent.
  • If groupId is removed from silent list, all the checks under this group would back to normal.
  • If given invalid testId/groupId, it will throw exception.
  • This method will do add first and then remove. So if the given health check is in both add and remove list, it would NOT be silent in the end.
  • This API is only supported for data protection health checks.

Required privileges: Global.Settings

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/DataProtectionHealthSystem/{moId}/VsanSetDpClusterSilentChecks
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case DataProtectionHealthSystem/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanSetDpClusterSilentChecksRequestType of type(s) application/json
Required

Show optional properties

{
    "cluster": {}
}
{
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "addSilentChecks": [
        "string"
    ],
    "removeSilentChecks": [
        "string"
    ]
}
cluster
Required

The target data protection protected cluster

array of string
addSilentChecks
Optional

The health checks/groups to silent.

array of string
removeSilentChecks
Optional

The health checks/groups to restore.

Authentication
This operation uses the following authentication methods.
Responses
200

True to indicate the value being set successfully. No return otherwise.

Returns integer of type(s) application/json
Operation doesn't return any data structure

500

NotSupported: If run directly on an ESX Server host.

NotFound: If the cluster is not found.

VsanFault: If any runtime error is hit.

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"cluster":"{}"}' https://{api_host}/sdk/vim25/{release}/vsan/DataProtectionHealthSystem/{moId}/VsanSetDpClusterSilentChecks